package com.prodhack.moscow2025.domain.usecase.auth

import com.prodhack.moscow2025.domain.models.RegisterData
import com.prodhack.moscow2025.domain.interfaces.AuthRepository
import org.koin.core.annotation.Single

@Single
class RegisterUserUseCase(
	private val authRepository: AuthRepository
) {
	suspend operator fun invoke(data: RegisterData): Result<String> {
		return authRepository.signUpRequest(data)
	}
}
